## oss4src oss4src — Capture from a sound card via OSS version 4 |

## Synopsis

    struct              GstOss4Source;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstBaseSrc
                               +----GstPushSrc
                                     +----GstAudioBaseSrc
                                           +----GstAudioSrc
                                                 +----GstOss4Source

## Implemented Interfaces

GstOss4Source implements GstImplementsInterface, GstMixer and GstPropertyProbe.

## Properties

      "device"                   gchar*                : Read / Write
      "device-name"              gchar*                : Read

## Description

## Synopsis

### Element Information

plugin | oss4
author | Tim-Philipp Müller <tim centricular net>
class | Source/Audio

### Element Pads

name | src
direction | source
presence | always
details | audio/x-alaw, rate=(int)[ 1, 192000 ], channels=(int)[ 1, 4096 ]
| audio/x-mulaw, rate=(int)[ 1, 192000 ], channels=(int)[ 1, 4096 ]
| audio/x-raw, format=(string){ S32LE, S32BE, S24_32LE, S24_32BE, S24LE, S16LE, S16BE, U16LE, U16BE, S8, U8 }, layout=(string)interleaved, rate=(int)[ 1, 192000 ], channels=(int)[ 1, 4096 ]

## Details

### struct GstOss4Source

    struct GstOss4Source;

## Property Details

### The `"device"` property

      "device"                   gchar*                : Read / Write

OSS4 device (e.g. /dev/oss/hdaudio0/pcm0 or /dev/dspN) (NULL = use first available device).

Default value: NULL

### The `"device-name"` property

      "device-name"              gchar*                : Read

Human-readable name of the sound device.

Default value: NULL